{{
    Copyright 2009 Vassilis Varveropoulos (vassilis@vrhome.net)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
}}

CON
  QuadMode = true
  EnableOutputs = true
  Passthrough = false
  NumServoInputs = 5
  LoopPeriodS = 0.010 'secs
  IMULoopPeriodS = 0.006 'secs
  IMUStartupDelay = 60.0 'secs, wait for stable sensor outputs 
  IMUInitializeDelay = 5.0 'secs, average gyro bias
  IMUWarmupDelay = 3.0 'secs, prime Kalman filters
  LoggerRTDelay = 20.0 'secs
  ServoInInitDelay = 5.0 'secs
  PitchKp = 25.0 '25.0 20.0 10.0 (25.0, 25.0)
  PitchKi = 40.0 '0.0 5.0 1.0 (15.0, 10.0)
  PitchKd = -7.0 '-7.0 -7.0 -7.0 (7.0, 4.0)
  PitchILimit = 50.0
  RollKp = 25.0
  RollKi = 40.0 
  RollKd = -7.0
  RollILimit = 50.0

  PitchControlEnable = true
  RollControlEnable = true

  ThrottleArmThreshold = 200.0
  ThrottleArmDelay = 5.0

  GainMin = 0.0
  GainMax = 0.1
    
  PitchMin = -30.0
  PitchMax = 30.0
  RollMin = -30.0
  RollMax = 30.0

  PitchAngleOffset = 0.0 
  RollAngleOffset = 0.0 
  
  PitchSetpointOffset = 0.0
  RollSetpointOffset = 0.0

  AngleMin = -180.0
  AngleMax = 180.0

  PinADCCS = 1
  PinADCDIO = 2
  PinADCCLK = 0

  PinThrottleIn = 7
  PinElevatorIn = 5
  PinAileronsIn = 6
  PinRudderIn = 4
  PinGainIn = 3

  PinThrottleOut = 12 
  PinElevatorOut = 14  
  PinAileronsOut = 13
  PinRudderOut = 15    

  ServoMidValue = 500.0
  ServoMaxValue = 1000.0
  ServoMinValue = 0.0
  ServoOffsetValueInt = 1000 'this one should be integer

  ElevatorEndPointL = ServoMinValue 
  ElevatorEndPointH = ServoMaxValue  
  AileronsEndPointL = ServoMinValue 
  AileronsEndPointH = ServoMaxValue

  ElevatorReverse = false
  AileronsReverse = true

  PitchMixerGain = 0.3
  RollMixerGain = 0.3
  YawMixerGain = 0.3  

  ErrorLoopOverrun = 1.0
  ErrorInvalidAngles = 2.0
  ErrorServoIn = 3.0

PUB dummy  